For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTCreate a new adjustment
      • DELDelete an adjustment
      • GETRetrieve adjustments
      • GETRetrieve an adjustment
      • GETRetrieve categories
      • PATCHUpdate an adjustment
LogoLogo
SupportDeel Home
EndpointsAdjustments

Delete an adjustment

DELETE
/adjustments/:id
DELETE
/rest/v2/adjustments/:id
$curl -X DELETE https://api.letsdeel.com/rest/v2/adjustments/5f4e1f77-0f1c-4f6d-8b0f-1b1b4b1b1b1b \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {}
>}'
1{
2 "data": {
3 "deleted": true
4 }
5}

Permanently deletes an adjustment by its id. Token scopes: adjustments:write

Was this page helpful?
Previous

Retrieve adjustments

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
Deel adjustment id.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/